/*
	Copyright 2016, 2017 Michele "King_DuckZ" Santullo

	This file is part of MyCurry.

	MyCurry is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	MyCurry is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with MyCurry.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "rect_to_sdl.hpp"
#include <cmath>

namespace curry {
	SDL_Rect make_sdlrect (const Rect<float>& parOther) {
		typedef decltype(std::declval<SDL_Rect>().w) ValueType;

		return SDL_Rect{
			static_cast<ValueType>(std::lround(parOther.left())),
			static_cast<ValueType>(std::lround(parOther.top())),
			static_cast<ValueType>(std::lround(parOther.width())),
			static_cast<ValueType>(std::lround(parOther.height()))
		};
	}
} //namespace curry
